# ModelVisualizer

#### new Cesium.ModelVisualizer(scene, entityCollection)
DataSources/ModelVisualizer.js 42

A `Visualizer` which maps `Entity#model` to a `Model`.

Name | Type | Description
--- | --- | ---
`scene` | Scene | The scene the primitives will be rendered in.
`entityCollection` | EntityCollection | The entityCollection to visualize.

### Methods

#### destroy()
DataSources/ModelVisualizer.js 221

Removes and destroys all primitives created by this instance.

#### isDestroyed() → Boolean
DataSources/ModelVisualizer.js 214

Returns true if this object was destroyed; otherwise, false.

##### Returns:

True if this object was destroyed; otherwise, false.

#### update(time) → Boolean
DataSources/ModelVisualizer.js 69

Updates models created this visualizer to match their Entity counterpart at the given time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time to update to.

##### Returns:

This function always returns true.